Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/content \
--header 'Authorization: Bearer <token>'{
"records": [
{}
],
"pageInfo": {
"hasNextPage": true,
"nextCursor": "<string>",
"pageSize": 123,
"totalRecords": 123
}
}Retrieve paginated list of documents and folders
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/content \
--header 'Authorization: Bearer <token>'{
"records": [
{}
],
"pageInfo": {
"hasNextPage": true,
"nextCursor": "<string>",
"pageSize": 123,
"totalRecords": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Filter content by labels. Provide as a comma-separated list (e.g., finance,marketing).
Content scope filter
restricted, organization Field to sort by
favorites, name, updatedAt Direction for sorting:
asc - Ascending order (A-Z, 0-9)desc - Descending order (Z-A, 9-0)asc, desc Comma-separated list of additional fields to include in the response:
_count - Adds count metrics (folders: document and favorite counts; documents: favorite and view counts)labels - Includes associated content labelsReturns all content in the specified folder. Cannot be used with path.
Filter content by path. Cannot be used with folderId. Examples:
/folder/subfolder - Returns the folder and any content it contains/folder/* - Returns all folders and content recursively in the path/ - Returns all content in the organizationUUID of organization membership. Required when scope is restricted.
Number of records per page (1-100)
1 <= x <= 100Pagination cursor from previous response
Was this page helpful?